# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-04-12 09:54
from __future__ import unicode_literals

import json

from django.db import migrations


def move_file_formats_from_extraction_order_extraction_configuration_to_export(apps, schema_editor):
    ExtractionOrder = apps.get_model('excerptexport', 'ExtractionOrder')  # noqa
    for extraction_order in ExtractionOrder.objects.all():
        try:
            extraction_configuration = json.loads(extraction_order._extraction_configuration)
        except:
            return
        file_formats = frozenset(extraction_configuration.pop('gis_formats', []))
        extraction_order._extraction_configuration = json.dumps(extraction_configuration)
        for format in file_formats:
            extraction_order.exports.get_or_create(file_format=format)
        extraction_order.save()


def move_file_formats_from_export_to_extraction_order_extraction_configuration(apps, schema_editor):
    ExtractionOrder = apps.get_model('excerptexport', 'ExtractionOrder')  # noqa
    for extraction_order in ExtractionOrder.objects.all():
        try:
            partial_extraction_configuration = json.loads(extraction_order._extraction_configuration)
        except:
            partial_extraction_configuration = {}
        extraction_configuration = dict(
            gis_formats=list(extraction_order.exports.values_list('file_format', flat=True)),
            **partial_extraction_configuration)
        extraction_order.exports.all().delete()
        extraction_order._extraction_configuration = json.dumps(extraction_configuration)
        extraction_order.save()


class Migration(migrations.Migration):

    dependencies = [
        ('excerptexport', '0018_export'),
    ]

    operations = [
        migrations.RunPython(
            move_file_formats_from_extraction_order_extraction_configuration_to_export,
            move_file_formats_from_export_to_extraction_order_extraction_configuration
        )
    ]
